package tu

import (
	"time"
)

func TimezoneToLocation(timezone string) *time.Location {
	defaultLocation := time.FixedZone("UTC", 0)
	location, err := time.LoadLocation(timezone)
	if err != nil {
		return defaultLocation
	} else {
		return location
	}
}

func TimeStringToTime(timeString string) time.Time {
	t, _ := time.Parse("2006-01-02 15:04:05", timeString)
	return t
}

func TimeStringToTimeInLocation(timeString string, timezone string) string {
	t := TimeStringToTime(timeString)
	location := TimezoneToLocation(timezone)
	return t.In(location).Format("2006-01-02 15:04:05")
}
